/*
 * @(#)FPropertyChangeEvent.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */

package jp.co.iti.fagot.fob;

import java.util.Vector;

/**
 * FElementに変更が発生した時に発生するプロパティ変更イベント
 *
 * @author  千曳秀喜
 * @version 1.01 2001/01/07
 */
public class FPropertyChangeEvent {

	/**
	 * コンストラクタ
	 * @param propertyName プロパティ名
	 * @param items        変更のあったオブジェクト
	 */
	public FPropertyChangeEvent(String propertyName, Vector items) {
	mPropertyName = propertyName;
	mChanedItems  = items;
	}

    /**
     * プロパティ名の取得
     */
	public String getPropertyName() {
	return ( mPropertyName );
	}

    /**
     * オブジェクトの取得
     */
	public Vector getChanedItems() {
	return ( mChanedItems );
	}

	//## アトリビュート################################################
	/**
	 * プロパティ名
	 */
	protected String mPropertyName  = null ;

	/**
	 * プロパティ名：コミット前
	 */
	static final public String PRE_COMMIT   = new String("pre_commit");

	/**
	 * プロパティ名：undo
	 */
	static final public String UNDO     = new String("undo");

	/**
	 * プロパティ名：redo
	 */
	static final public String REDO     = new String("redo");

	/**
	 * プロパティ名：commit
	 */
	static final public String COMMIT   = new String("commit");

	/**
	 * 変更のあったオブジェクト
	 */
	protected Vector mChanedItems   = null ;
}
